RDKit: DistGeom::ChiralViolationContribs Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
DistGeom::ChiralViolationContribs Class Reference

`#include <ChiralViolationContribs.h>`

Inheritance diagram for DistGeom::ChiralViolationContribs:

## Public Member Functions
| ChiralViolationContribs ()=default
| ChiralViolationContribs (ForceFields::ForceField *owner)
| Constructor.
void | addContrib (const ChiralSet *cset, double weight=1.0)
| adds a new chiral constraint
double | getEnergy (double *pos) const override
| return the contribution of this contrib to the energy of a given state
void | getGrad (double *pos, double *grad) const override
ChiralViolationContribs * | copy () const override
| return a copy
bool | empty () const
unsigned int | size () const
Public Member Functions inherited from ForceFields::ForceFieldContrib
| ForceFieldContrib ()
| ForceFieldContrib (ForceFields::ForceField *owner)
virtual | ~ForceFieldContrib ()

## Additional Inherited Members
Protected Attributes inherited from ForceFields::ForceFieldContrib
ForceField * | dp_forceField {nullptr}
| our owning ForceField

## Detailed Description

A term to capture the violation of chirality at atom centers

Definition at line 46 of file ChiralViolationContribs.h.

## Constructor & Destructor Documentation

## ◆ ChiralViolationContribs() [1/2]

DistGeom::ChiralViolationContribs::ChiralViolationContribs | ( |  | ) |
| default

Referenced by copy().

## ◆ ChiralViolationContribs() [2/2]

DistGeom::ChiralViolationContribs::ChiralViolationContribs | ( | ForceFields::ForceField * | owner | ) |

Constructor.

Parameters

  owner | pointer to the owning forcefield
  cset | a chiral set containing the four chiral atom ids (in sequence) and the upper and lower limits on the signed chiral volume
  weight | (optional) the weight to be used for this contrib

## Member Function Documentation

## ◆ addContrib()

void DistGeom::ChiralViolationContribs::addContrib | ( | const ChiralSet * | cset,
|  | double | weight = 1.0 )

adds a new chiral constraint

Parameters

  cset | a chiral set containing the four chiral atom ids (in sequence) and the upper and lower limits on the signed chiral volume
  weight | (optional) the weight to be used for this contrib

## ◆ copy()

ChiralViolationContribs * DistGeom::ChiralViolationContribs::copy | ( |  | ) | const
| inlineoverridevirtual

return a copy

Implements ForceFields::ForceFieldContrib.

Definition at line 78 of file ChiralViolationContribs.h.

References ChiralViolationContribs().

## ◆ empty()

bool DistGeom::ChiralViolationContribs::empty | ( |  | ) | const
| inline

Definition at line 81 of file ChiralViolationContribs.h.

## ◆ getEnergy()

double DistGeom::ChiralViolationContribs::getEnergy | ( | double * | pos | ) | const
| overridevirtual

return the contribution of this contrib to the energy of a given state

Implements ForceFields::ForceFieldContrib.

## ◆ getGrad()

void DistGeom::ChiralViolationContribs::getGrad | ( | double * | pos,
|  | double * | grad ) const
| overridevirtual

calculate the contribution of this contrib to the gradient at a given state

Implements ForceFields::ForceFieldContrib.

## ◆ size()

unsigned int DistGeom::ChiralViolationContribs::size | ( |  | ) | const
| inline

Definition at line 82 of file ChiralViolationContribs.h.

The documentation for this class was generated from the following file:

- ChiralViolationContribs.h